PSW_RGB_TEXT(3)

FUNCTION
psw_rgb_text - Write a colour string to a PostScriptPage object.

SYNOPSIS
#include <karma_psw.h>

flag psw_rgb_text

(PostScriptPage pspage, double red, double green,double blue, CONST char *string, CONST char *fontname, unsigned int fontsize, double xstart, double ystart, double angle)

DESCRIPTION
Write a colour string to a PostScriptPage object.

pspage
    The PostScriptPage object.

red The red component value. The range is: 0.0 (dark) to 1.0 (light)

green
    The green component value. The range is: 0.0 (dark) to 1.0 (light)

blue
    The blue component value. The range is: 0.0 (dark) to 1.0 (light)

string
    The string.

fontname
    The fontname to use. If this is NULL, the default font will be used.

fontsize
    The size of the font (in millimeters).

xstart
    The x starting point (scaled from 0.0 to 1.0).

ystart
    The y starting point (scaled from 0.0 to 1.0).

angle
    The angle to rotate the text through (in degrees). Positive angles rotate counter-clockwise from horizontal.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/